clc
clear 
close all;


ax=(3+1)*365;
num = input('please enter your number : ');
digits = dec2base(num,10) - '0' ; 
Omega = sum(digits)/10;
DamH = 30+Omega;
b = DamH/2*26; %The weight of the dam
q=input('please Enter the depth of the layer [ q1 q2 q3]: ');
an=input('please Enter an in x : ');
lt=input('please Enter conductivity in m/day [ lt1 lt2 lt3]: ');
al=input('please Enter layer Cv in m^2/day [ al1 al2 al3]: ');

ws=sum(q);
cx1=q(1)/an+1;
cx2=H2/an;
indz=round(ws/an)+1;
lt1=lt(1); lt2=lt(2); lt3=lt(3);
al1=al(1); al2=al(2); al3=al(3);
dd = 0.5*an^2./al; %calculate time delta 
af = min(dd)/2; % Choose the minimum of af for steady state
dq = b/(365/af);
beta=(al*af)/(an^2);
sb = lt./(al);
indtt=round(ax/af)+1;
eu=zeros(indz,indtt);
eu(:,1)=0;
Uz = eu;
u_ave=zeros(1,indtt);
DamB= round((365/af))+1;
for j=2:indtt
    if j>DamB
        dq=0;
    end        
    for i=2:indz
            if i < cx1
                eu(i,j)=eu(i,j-1)+beta(1)*(eu(i+1,j-1)+eu(i-1,j-1)-2*eu(i,j-1))+dq;
            elseif i == cx1
                eu(i,j)=eu(i,j-1)+beta(2)*((1+lt2/lt1)/(1+(lt2/lt1)*(al1/al2)))*((2*lt1/(lt1+lt2))*eu(i-1,j-1)+(2*lt2/(lt1+lt2))*eu(i+1,j-1)-2*eu(i,j-1))+dq;
            elseif i < cx1+cx2 && i > cx1
                eu(i,j)=eu(i,j-1)+beta(2)*(eu(i+1,j-1)+eu(i-1,j-1)-2*eu(i,j-1))+dq;
            elseif i == cx1+cx2
                eu(i,j)=eu(i,j-1)+beta(2)*((1+lt3/lt2)/(1+(lt3/lt2)*(al2/al3)))*((2*lt2/(lt2+lt3))*eu(i-1,j-1)+(2*lt3/(lt2+lt3))*eu(i+1,j-1)-2*eu(i,j-1))+dq;
            elseif i > cx1+cx2 && i < indz
                eu(i,j)=eu(i,j-1)+beta(3)*(eu(i+1,j-1)+eu(i-1,j-1)-2*eu(i,j-1))+dq;
            elseif i == indz
                 eu(i,j)=eu(i,j-1)+beta(3)*(2*eu(i-1,j-1)-2*eu(i,j-1))+dq;
            end
    end
 
end


disp('Total in dam construction in xx for 3 years')
total =sum(b*sb.*q)*1000

for j=DamB:indtt
     aveg(j-DamB+1)=(mean(eu(:,DamB))-mean(eu(:,j)))/(mean(eu(:,DamB)))*100;
     set(j-DamB+1) = total*aveg(j-DamB+1)/100;
end       

plot(cumsum(ones(1,size(aveg,2))*af),(aveg))
xlabel('time (day)')
ylabel('Amount consolidation progress (%)')

figure; 
plot(cumsum(ones(1,size(eu,2))*af),eu,'DisplayName','p')
xlabel('time (day)')
ylabel('pore pressur (kpa) ')
e
figure; 
plot(cumsum(ones(1,size(aveg,2))*af),set)
xlabel('time (day)')
ylabel('Settlement progress (xx) ')
set (gca,'Ydir','reverse')







