clc
clear 
close all;

num = input('please enter your number : ');
digits = dec2base(num,10) - '0' ; 
Omega = sum(digits)/10;
DamH = 30+Omega;
Lh = Omega+DamH/tan(pi/3)+DamH;
Area = (Lh+Omega)*DamH/2;

Lv =  Area /Lh;
kk = Lv*26;
q=input('please Enter the depth of the layer [ q1 q2 q3]: ');
na=input( 'Please enter the layer gamma [ na1 na2 na3] (eg., 18 KN/m3) : ');
ma=input( 'Please enter value of Lamda (eg., 0.2)  : ');
kp=input( 'Please enter value of Kappa  (eg., 0.04)  : ');
u=input( 'Please enter value of N  (eg., 2.5)  : ');
w=input( 'Please enter value of Critical Angle w  (eg., 0.95)     = ');
pc=input('Please enter inital Consolidation pressure (kPa) (eg., 150 kPa)  = ');
zp  = q(1)+q(2)/2;
ko = 0.5;
del_q = kk/10;
q1 = 0;
vsa2 = q(1)*na(1)+q(2)/2*na(2);
for ii = 1: 11 
        q1 = del_q+q1;
        sig_d = q1/(Lh +zp);
        sigd=  vsa2+ +sig_d -zp*9.81;
        sigh= sigd*ko;
        if ii == 1 
            sigd  = vsa2 -zp*9.81;
             sigh= sigd*ko;             
        end
        vg1 = (sigd+sigh)/2+sqrt(2*((sigd-sigh)/2)^2);
        vg2 = (sigd+sigh)/2-sqrt(2*((sigd-sigh)/2)^2);
        pp(ii) = (vg1+2*vg2)/3;
         qp(ii) = 3*(pp(ii) - pp(1));
        v(ii) = u - lam*log(pp(ii)); 
end 
p0 = pp(1);
px = 0:1:pc;
% Ga = N - lam + k;
qy = M.*px.*(log(pc./px));
figure(1);
plot(pp,qp,'-or',px,px*M,'k',px,qy,'g')
legend('q-p-loading','CSL','CCM Yield')
figure(2);
plot(pp,qp,'m',px,px*M,'k')
xlabel('p (kpa)')
ylabel('q (kpa)')
figure(2)
subplot(2,1,1)
plot(pp,qp,'x')
xlabel('p (kpa)')
ylabel('q (kpa)')

subplot(2,1,2)
plot(pp,v,'*-')
ylabel('v')
xlabel('p (kpa)')

figure(3);plot3(qp,v,pp)
xlabel('p (kpa)')
ylabel('v')
zlabel('q (kpa)')
grid on 

disp ('qf and pf at failure :')
pf = 3*p0/(3-w)
qf = 3*pf 