clc
clear 
close all;

num = input('please enter your number : ');
digits = dec2base(num,10) - '0' ; 
Omega = sum(digits)/10;
DamH = 30+Omega;
wol = 25+Omega;
kl = Omega+DamH/tan(pi/3)+DamH;
Area = (kl+Omega)*DamH/2;
ac =  Area /kl;
b = ac*26;
q=input('please Enter the depth of the layer [ q1 q2 q3]: ');
gl=input( 'Please enter layer gamma [ g1 g2 g3] (eg., 18 KN/m3) : ');
w=input( 'Please enter value of Critical Friction Angle w  (eg., 0.95)     = ');
pc=input('Please enter inital Consolidation pressure (kPa) (eg., 150 kPa)  = ');
ma=input( 'Please enter value of Lamda (eg., 0.2)  : ');
k=input( 'Please enter value of Kappa  (eg., 0.04)  : ');
u=input( 'Please enter value of u  (eg., 2.5)  : ');

zz  = q1+q2./2;
ko = 0.5;
dw = wol/10;
Wl = 0;
vp1 = q(1)*gl(1)+q(2)/2*gl(2);
for ii = 1: 11 %The percentage of increase in the amount of water in the dam  
       
        qup = b - Wl*9.81;% Reducing the weight of the dam
        sig_v = qup/(kl +zz);
        sigv =  vp1+Wl*9.81 +sig_v -(zz+Wl)*9.81;
        sigh = sigv*ko;
        gv1 = (sigv+sigh)/2+sqrt(2*((sigv-sigh)/2)^2);
        gv3 = (sigv+sigh)/2-sqrt(2*((sigv-sigh)/2)^2);
        pp(ii) = (gv1+2*gv3)/3;
        qp(ii) = 3*(pp(ii) - pp(1));
        v(ii) = u - ma*log(pp(ii));
        Wl = dw +Wl;
end 
p0 = pp(1);
px = 0:1:pc;
qy = w.*px.*(log(pc./px));
figure(1);
plot(pp,qp,'-or',px,px*w,'k',px,qy,'g')
legend('q-p-loading','CSL','CCM Yield')
figure(2);
plot(pp,qp,'m',px,px*w,'k')
xlabel('p (kpa)')
ylabel('q (kpa)')
figure(2)
subplot(2,1,1)
plot(pp,qp,'m')
xlabel('p (kpa)')
ylabel('q (kpa)')

subplot(2,1,2)
plot(pp,v,'*-')
ylabel('v')
xlabel('p (kpa)')

figure(3);plot3(qp,v,pp)
xlabel('p (kpa)')
ylabel('v')
zlabel('q (kpa)')
grid on 

disp ('qf and pf at failure :')
pf = 3*p0/(3-w)
qf = 3*pf 