clc
clear 
close all;

num = input('please enter your number : ');
digits = dec2base(num,10) - '0' ; 
Omega = sum(digits)/10;
DamH = 30+Omega;
WH = 25+Omega;
Lh = Omega+DamH/tan(pi/3)+DamH;
Area = (Lh+Omega)*DamH/2;
Lv =  Area /Lh;
kk = Lv*26;
q=input('please Enter the depth of the layer [ q1 q2 q3]: ');
na=input( 'Please enter the layer gamma [ na1 na2 na3] (eg., 18 KN/m3) : ');
lam=input( 'Please enter value of Lamda (eg., 0.2)  : ');
k=input( 'Please enter value of Kappa  (eg., 0.04)  : ');
u=input( 'Please enter value of u  (eg., 2.5)  : ');
w=input( 'Please enter value of Critical Friction Angle w  (eg., 0.95)     = ');
pc=input('Please enter inital Consolidation pressure (kPa) (eg., 150 kPa)  = ');
mu=input('Please enter Poisson ratio (eg., 0.3 )  : ');

zp  = q(1)+q(2)/2;
ko = 0.5;
dw = WH/10;
Wl = 0;
vp1 = q(1)*gl(1)+q(2)/2*gl(2);
for ii = 1: 11 %dam water rising  
       
        qup = kk - Wl*9.81;% uplift: dam weight reduction 
        sig_d = qup/(Lh +zp);
        sigd =  vp1+Wl*9.81 +sig_d -(zp+Wl)*9.81;
        sigh = sigd*ko;
        gv1 = (sigd+sigh)/2+sqrt(2*((sigd-sigh)/2)^2);
        gv3 = (sigd+sigh)/2-sqrt(2*((sigd-sigh)/2)^2);
        pp(ii) = (gv1+2*gv3)/3;
        qp(ii) = 3*(pp(ii) - pp(1));
        v(ii) = u - lam*log(pp(ii));
        Wl = dw +Wl;
end 
p0 = pp(1);
Ga = u - (lam - k)*log(2);
vb=u-lam*log(pc)+k*log(pc/p0);
    syms px
    cam =px^2-px*pc+9*(px-p0)^2/(w*w);
    p_d=round(solve(cam ==0,px)); 
    p_cam = p_d(1);
    q_cam=3*(p_cam-p0);
    K=(vb*p0)/k;
    G = 3*K*(1-2*mu)/(2*(1+mu));
    if pp(end)<p_cam
        disp ('maximum load lower than yield stress: Only elastic strain')
         disp('Volmetric Elastic Strain (%)') 
         ev = (100*k*(pp(end)-p0)/(vb*p0))
         dq = qp(end) ;
         disp('Volmetric Shear Strain (%)')
         es=(100*dq/(3*G))         
    else
    disp ('maximum load greater than yield stress:  elastic and plastic strain')
    syms px
    cs= w*p_c==3*(px-pb);
    p_cs=round(solve(cs,px));
    q_cs=round(w*p_cs);
    dp=p_cs-p_cam;
    dq=q_cs-q_cam;
    v_cs=gamma-lam*log(p_cs);
    v_cam=-vb*ev/100+vb;
    ev=round(100*k*(p_cam-pb)/(vb*pb));
    es=round(100*dq/(3*G));
    v_cam=-vb*ev/100+vb;
    disp('Volmetric Elastic Strain (%)')
    e_ev=round(100*k*dp/(v_cam*p_cam))
    disp('Volmetric Plastic Strain (%)')
    eta = q_cam/p_cam;
    vcam = u - lam*log(p_cam);
    e_pv=round(100*(lam-k)/(vcam*p_cam*(w^2+eta^2))*((w^2-eta^2)*dp+2*eta*dq));
    disp('Shear Plastic Strain (%)')
    e_ps=round(2*eta/(w^2-eta))
    disp('Shear Plastic Strain (%)')
    e_es=0;      
    e_e=e_ev+e_es+es
    e_p=e_pv+e_ps
    end