clc
clear 
close all;

num = input('please enter your number : ');
digits = dec2base(num,10) - '0' ; 
Omega = sum(digits)/10;
DamH = 30+Omega;
wol = 25+Omega;
ta = Omega+DamH/tan(pi/3)+DamH;
Area = (ta+Omega)*DamH/2;
zt =  Area /ta;
hi = zt*26;
q=input('please Enter the depth of the layer[ q1 q2 q3]: ');
gl=input( 'Please enter the layer gamma [ g1 g2 g3] (eg., 18 KN/m3) : ');
lam=input( 'please enter value of Lamda (eg., 0.2)  : ');
kp=input( 'please enter value of Kappa  (eg., 0.04)  : ');
qr=input( 'please enter value of N  (eg., 2.5)  : ');
z=input( 'please enter value of Critical Friction Angle M  (eg., 0.95)     = ');
pc=input('please enter inital Consolidation pressure (kPa) (eg., 150 kPa)  = ');
zp  = q(1)+q(2)/2;
ko = 0.5;
W3 = 0;
dw = wol/10;
vp1 = q(1)*gl(1)+q(2)/2*gl(2);
for j = 1: 12        
        qup = hi - wol*9.81;
        sig_v = qup/(ta +zp);
        sigv =  vp1+wol*9.81 +sig_v -(zp+wol)*9.81;
        sigh = sigv*ko;
        vg1 = (sigv+sigh)/2+sqrt(2*((sigv-sigh)/2)^2);
        vq3 = (sigv+sigh)/2-sqrt(2*((sigv-sigh)/2)^2);
        pp(j) = (vg1+2*vq3)/3;
        if j>1
            pp(j) = pp(1);
        end
         qp(j) = (vg1-vq3)/2;
        v(j) = qr - lam*log(pp(j));
        
        wol = -dw +wol;
        if j>9
            wol= 0;
        end
        if j >10 
           hi = 0;
        end
            
end 
p0 = pp(1);
lr = 0:1:pc;
% Ga = N - lam + k;
qy = z.*lr.*(log(pc./lr));
figure(1);
plot(pp,qp,'-or',lr,lr*z,'k',lr,qy,'g',pp,z*pp,'-*b')
legend('q-p-loading','CSL','CCM Yield')
figure(2);
plot(pp,qp,'x',lr,lr*z,'k')
xlabel('p (kpa)')
ylabel('q (kpa)')
figure(2)
subplot(2,1,1)
plot(pp,qp,'x')
xlabel('p (kpa)')
ylabel('q (kpa)')

subplot(2,1,2)
plot(pp,v,'*-')
ylabel('v')
xlabel('p (kpa)')

figure(3);plot3(qp,v,pp)
xlabel('p (kpa)')
ylabel('v')
zlabel('q (kpa)')
grid on 

