clc
clear 
close all;

num = input('please enter your number : ');
digits = dec2base(num,10) - '0' ; 
Omega = sum(digits)/10;
DamH = 30+Omega;
WH = 25+Omega;
Lh = Omega+DamH/tan(pi/3)+DamH;
Area = (Lh+Omega)*DamH/2;
Lv =  Area /Lh;
kk = Lv*26;
q=input('please Enter the depth of the layer [ q1 q2 q3]: ');
na=input( 'Please enter the layer gamma [ na1 na2 na3] (eg., 18 KN/m3) : ');
pc=input('Please enter inital Consolidation pressure (kPa) (eg., 150 kPa)  = ');
mu=input('Please enter Poisson ratio (eg., 0.3 )  : ');
lam=input( 'insert the value of Lamda (eg., 0.2)  : ');
qa=input( 'Please enter value of Kappa  (eg., 0.04)  : ');
u=input( 'Please enter value of U  (eg., 2.5)  : ');
w=input( 'Please enter value of Critical Angle w  (eg., 0.95)     = ');


zz  = q(1)+q(2)/2;
ko = 0.5;
dw = WH/10;
Wl = 0;
vp1 = H(1)*na(1)+H(2)/2*na(2);
for ii = 1: 11 %dam water rising  
       
        qup = kk - Wl*9.81;% uplift: dam weight reduction 
        sig_v = qup/(Lh +zz);
        sigv =  vp1+Wl*9.81 +sig_v -(zz+Wl)*9.81;
        sigh = sigv*ko;
        s1 = (sigv+sigh)/2+sqrt(2*((sigv-sigh)/2)^2);
        s3 = (sigv+sigh)/2-sqrt(2*((sigv-sigh)/2)^2);
        pp(ii) = (s1+2*s3)/3;
        qp(ii) = 3*(pp(ii) - pp(1));
        v(ii) = u - lam*log(pp(ii));
        Wl = dw +Wl;
end 
p0 = pp(1);
Ga = u - lam + qa;
vb=u-lam*log(pc)+qa*log(pc/p0);
    syms p_c
    cam =3*(p_c-p0)- M*p_c*(Ga+lam-qa-vb-lam*log(p_c))/(lam-qa);
    p_cam=round(solve(cam ==0,p_c)); 
    q_cam=3*(p_cam-p0);
    K=(vb*p0)/qa;
    G = 3*K*(1-2*mu)/(2*(1+mu));
    if pp(end)<p_cam
        disp ('maximum load lower than yield stress: Only elastic strain')
         disp('Volmetric Elastic Strain (%)') 
         ev=(100*qa*(pp(end)-p0)/(vb*p0))
         dq = qp(end) ;
         disp('Volmetric Shear Strain (%)')
         es=(100*dq/(3*G))         
    else
    disp ('maximum load greater than yield stress:  elastic and plastic strain')
    syms p_c
    cs= M*p_c==3*(p_c-pb);
    p_cs=round(solve(cs,p_c));
    q_cs=round(M*p_cs);
    dp=p_cs-p_cam;
    dq=q_cs-q_cam;
    v_cs=gamma-lam*log(p_cs);
    v_cam=-vb*ev/100+vb;
    ev=round(100*qa*(p_cam-pb)/(vb*pb));
    es=round(100*dq/(3*G));
    v_cam=-vb*ev/100+vb;
    disp('Volmetric Elastic Strain (%)')
    e_ev=round(100*qa*dp/(v_cam*p_cam))
    disp('Volmetric Plastic Strain (%)')
    e_pv=round(100*(lam-qa)*((M-q_cam/p_cam)*dp+dq)/(M*v_cam*p_cam))
    disp('Shear Plastic boreshi Strain (%)')
    e_ps=round(e_pv/(M-q_cam/p_cam))
    disp('Shear Plastic boreshi Strain (%)')
    e_es=0;      
    e_e=e_ev+e_es+es
    e_p=e_pv+e_ps
    end